import { j as r } from "../../node_modules/react/jsx-runtime.mjs";
import { create as f, useModal as h, antdDrawerV5 as y } from "../../node_modules/@ebay/nice-modal-react/lib/esm/index.mjs";
import { useMemo as F } from "react";
import x from "../BitzFloatLayout/index.mjs";
import "./index.less.mjs";
import a from "../../node_modules/antd/es/button/button.mjs";
import D from "../../node_modules/antd/es/divider/index.mjs";
import j from "../../node_modules/antd/es/form/index.mjs";
const w = (n) => {
  const { preserve: u, form: o, items: e, onReset: t, onFinish: s } = n, l = h(), m = () => {
    o.resetFields(), t == null || t(), l.hide();
  }, c = () => {
    const i = o.getFieldsValue();
    s == null || s(i), l.hide();
  }, d = r.jsxs("div", { className: "QueryFilterDrawerFooter", children: [r.jsx(a, { onClick: m, block: !0, size: "large", children: "重置" }), r.jsx(D, { type: "vertical" }), r.jsx(a, { onClick: c, block: !0, size: "large", type: "primary", children: "搜索" })] }), p = F(() => (e == null ? void 0 : e.length) > 2 ? e.slice(1) : null, [e]);
  return r.jsx(x, { ...y(l), title: "高级筛选", children: r.jsxs("div", { className: "QueryFilterDrawerBody", children: [r.jsx(j, { className: "QueryFilterDrawerForm", onReset: t, preserve: u, form: o, layout: "horizontal", children: p }), d] }) });
}, E = f(w);
export {
  E as default
};
